/* aaa_base POSTINST script */

call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

/* if arg()=1 then
do
  this should only be executed when updating the ux2base package
  exit
end */

say "Welcome to UnixOS/2 installation."
say ""
say "This script should only be used when installing the UnixOS/2 environment"
say "for the first time. If you have already installed the UnixOS/2 base"
say "package, please abort it now."
say ""

/* get the boot drive */
parse upper value VALUE( "PATH",, "OS2ENVIRONMENT" ) with "\OS2\SYSTEM" -2,
                                                        bootdrive +2

say "Your boot drive seems to be "bootdrive" - if this is correct, press ENTER,"
say "otherwise enter the drive letter for the boot drive now:"

do_it_again:
l=linein()
if l \="" then
do
  if length(l) \=1 & length(l) \=2 then
  do
    say l" is not a drive letter"
    signal do_it_again
  end
  bootdrive=translate(left(l,1))||":"
end

unixroot=value('unixroot',,'OS2ENVIRONMENT')
do while unixroot=""
  say "The UNIXROOT environment variable determines the root directory for the"
  say "UnixOS/2 tree. Ideally, this should be the only variable necessary to"
  say "run an UnixOS/2 program. The appropriate SET= statement for UNIXROOT will"
  say "now be added to your config.sys"
  say ""
  say "Please enter the path to the root directory (with drive letter)"
  say "of your UnixOS/2 tree:"
  unixroot=linein()
  /* unixroot has to include the drive letter */
  if pos(":",unixroot) \= 2 then
  do
    say "Please enter the full path to your UNIXROOT including the drive letter"
    unixroot=""
    call linein
  end
end
unixroot=strip(translate(unixroot,'\','/'),'T','\')

say "Before changing your config.sys, a backup of it will be saved as config.ux2"
"@copy "bootdrive"\config.sys "bootdrive"\config.ux2 > NUL:"

/* set the environment */
beginlibpath=unixroot"\usr\lib;"
"@SET BEGINLIBPATH="beginlibpath
path=value("PATH",,"OS2ENVIRONMENT")
path=unixroot"\bin;"unixroot"\usr\bin;"unixroot"\usr\sbin;"path
call value "PATH",path,"OS2ENVIRONMENT"
call value "UNIXROOT",unixroot,"OS2ENVIRONMENT"

/* change config.sys */
fn=bootdrive"\modconfig"
call lineout fn,,1
call lineout fn,'OPEN CONFIG.SYS'
call lineout fn,'ADD LINE "SET UNIXROOT='unixroot'" (NOPIFEXIST) AFTER LINE LAST'
call lineout fn,'ADD STRING "'unixroot'\bin;'unixroot'\usr\bin;'unixroot'\usr\sbin;" (AFTER "=" FIRSTFOUND, NOPIFEXIST) IN LINE CS*"SET"*" PATH"*"="* (EVERYFOUND)'
call lineout fn,'ADD STRING "'unixroot'\lib;'unixroot'\usr\lib;" (AFTER "=" FIRSTFOUND, NOPIFEXIST) IN LINE CS"LIBPATH"*"="*'
call lineout fn,'CLOSE CONFIG.SYS'
call lineout fn
d=directory()
call directory bootdrive"\"
call mod.cmd fn
call stream fn,"c","close"
"@del "fn
call directory d

/* start the pkg installer */
say ""
say "The PATH and BEGINLIBPATH environment variables have been set. This will"
say "only affect the current CMD session. You may now use installpkg to"
say "install UnixOS/2 packages. Before you can use these programs in other"
say "sessions you will have to reboot."

/* now would be the time to automatically start a menu-driven pkg installer - if one were available */
exit

